🔧 Reparar ERROR DOCKER al instalar – ACTUALIZAR librería bseccomp2 Docker

En ocasiones nos encontramos que vamos a instalar un nuevo Docker, por ejemplo desde Portainer, y parece que se ha instalado correctamente pero no funciona. Si accedemos o vemos el registro de Log nos da error.

Esto solo afecta a las instalaciones de 32 bits de distribuciones basadas en Debian Buster.

Esto se debe a un error en la biblioteca libseccomp2 (dependency of docker itself), que está corregido. Sin embargo, no se envía a todos los repositorios.

Para poder reparar esto, hay que agregar el repositorio de backports para DebianBuster con los siguientes comandos:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 04EE7237B7D453EC 648ACFD622F3D138

echo "deb http://deb.debian.org/debian buster-backports main" | sudo tee -a /etc/apt/sources.list.d/buster-backports.list

sudo apt update

sudo apt install -t buster-backports libseccomp2
 

Existen otras opciones que puedes ver AQUÍ en su fuente.

 

Publicado por

Gamba

✔ Canal Youtube: Suscríbete para ayudarnos a mejorar. https://goo.gl/qDLQKe ► REDES SOCIALES ✔ Facebook: https://goo.gl/NzWfVU ✔ Twitter: https://twitter.com/Gamba85_ ✔ Twitch: https://www.twitch.tv/gamba85

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *